log4j.rootLogger=debug,LOG,ERROR
#log4j.logger.com.zhiwei.step.core.MsgSender=debug,RECORD

#LOG(All log)
log4j.appender.LOG=org.apache.log4j.ConsoleAppender
log4j.appender.LOG.Threshold=info
log4j.appender.LOG.Target=System.out
log4j.appender.LOG.layout=org.apache.log4j.PatternLayout
log4j.appender.LOG.layout.ConversionPattern=%-d{yyyy-MM-dd HH:mm:ss,SSS} %m%n
#ERROR
log4j.appender.ERROR=org.apache.log4j.RollingFileAppender
log4j.appender.ERROR.Threshold=error
log4j.appender.ERROR.File=${catalina.home}/log/error.log
log4j.appender.ERROR.MaxFileSize=10MB
log4j.appender.ERROR.MaxBackupIndex=10
log4j.appender.ERROR.layout=org.apache.log4j.PatternLayout
log4j.appender.ERROR.layout.ConversionPattern=%d{yyyy-MM-dd HH\:mm\:ss,SSS} [%t] [%c] [%p] - %m%n
#RECORD
log4j.appender.RECORD=org.apache.log4j.DailyRollingFileAppender
log4j.appender.RECORD.File=${catalina.home}/log/msg_record.log
log4j.appender.RECORD.layout=org.apache.log4j.PatternLayout
log4j.appender.RECORD.layout.ConversionPattern=%d{yyyy-MM-dd HH\:mm\:ss,SSS} %m%n